Bug 449810 - Build systemtap on ppc
Summary: Build systemtap on ppc
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: systemtap
Version: 9
Hardware: powerpc
OS: Linux
low
medium
Target Milestone: ---
Assignee: Frank Ch. Eigler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-03 18:21 UTC by Kumar Gala
Modified: 2009-07-14 15:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:20:22 UTC


Attachments (Terms of Use)

Description Kumar Gala 2008-06-03 18:21:32 UTC
Description of problem:

We should build systemtap on ppc.  Its not clear to me why the .spec file has:

ExcludeArch: ppc

Comment 1 Frank Ch. Eigler 2008-06-03 18:35:01 UTC
This is because the staprun/stapio programs must match the word size of the
kernel.  Are you running a .ppc or .ppc64 kernel?
See also <http://sourceware.org/bugzilla/show_bug.cgi?id=4037>.


Comment 2 Kumar Gala 2008-06-03 18:40:07 UTC
This is on a .ppc kernel.  I seems wrong to not provide the functionality on a
pure 32-bit machine.

Comment 3 Bug Zapper 2009-06-10 01:23:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2009-07-14 15:20:22 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.